#include<iostream>
using namespace std;

int main(){
  long long A,B,K,skok=0;
  cin>>A>>B>>K;
  long long dyska=A;
  bool stignahme=false;
  while(stignahme==false){
    dyska+=2;
    if(dyska==B || dyska-1==B){
        stignahme=true;
    }
    if(dyska%K==0){
        dyska--;
    }
    skok++;
  }
  cout<<skok<<endl;
return 0;
}
